Package ru.bitel.oss.kernel.directories.address.common.bean

# Class CityItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.CityItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `Area`, `Quarter`, `Street`

public abstract class CityItem extends AddressPrefixSuffix

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `cityId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CityItem()`
  `protected`
  `CityItem(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `City`
  `getCity()`
  `int`
  `getCityId()`
  `void`
  `setCity(City city)`
  `void`
  `setCityId(int cityId)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, setTitlePrefix, setTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### cityId

    protected int cityId

- ## Constructor Details

  - ### CityItem

    protected CityItem()

  - ### CityItem

    protected CityItem(int id, String title)

- ## Method Details

  - ### getCity

    public City getCity()

  - ### getCityId

    public int getCityId()

  - ### setCity

    public void setCity(City city)

  - ### setCityId

    public void setCityId(int cityId)